# Js-sdk Functionalities in Website

<details>

<summary>init</summary>

Initialize the js-sdk. Utilizes js-sdk [init](/guides/zus-js-sdk/sdk-reference.md#initialize-sdk) method.\
Source Code: [Link](https://github.com/0chain/zus-example-website/blob/2caa540201a57ad4ad0ff1f0c183c9c4471da56d/src/index.js#L285)

</details>

<details>

<summary>createWallet</summary>

Create Wallet. Utilizes js-sdk [createWallet](/guides/zus-js-sdk/sdk-reference.md#createwallet) method. \
Source Code: [Link](https://github.com/0chain/zus-example-website/blob/2caa540201a57ad4ad0ff1f0c183c9c4471da56d/src/index.js#L325)

</details>

<details>

<summary>download</summary>

Download File. Utilizes js-sdk [download](/guides/zus-js-sdk/sdk-reference.md#download) method.\
Source Code: [Link ](https://github.com/0chain/zus-example-website/blob/2caa540201a57ad4ad0ff1f0c183c9c4471da56d/src/index.js#L505)

</details>

<details>

<summary>setWallet</summary>

Set Wallet. Utilizes js-sdk [setWallet](/guides/zus-js-sdk/sdk-reference.md#setwallet) method.\
Source Code: [Link](https://github.com/0chain/zus-example-website/blob/2caa540201a57ad4ad0ff1f0c183c9c4471da56d/src/index.js#L291)

</details>

<details>

<summary>decodeAuthTicket</summary>

Decode AuthTicket. Utilizes js-sdk [decodeAuthTicket](/guides/zus-js-sdk/sdk-reference.md#decodeauthticket) method.\
Source Code: [Link ](https://github.com/0chain/zus-example-website/blob/2caa540201a57ad4ad0ff1f0c183c9c4471da56d/src/index.js#L902)

</details>

<details>

<summary>listSharedFiles</summary>

List all the shared files. Utilizes js-sdk [listSharedFiles](https://github.com/0chain/zus-js-sdk/blob/9c5d70712758c45352ba5f6fa5e540a5dc8d0fc3/src/index.js#L958) method.

</details>

More comprehensive list of js-sdk functions can be found here in [SDK Reference](/guides/zus-js-sdk/sdk-reference.md).


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs-old.zus.network/guides/zus-js-sdk/js-sdk-sample-website/describing-code/js-sdk-functionalities-in-website.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
